#include "eydrle.hh"

namespace EydTools {
	EydRle::EydRle(){
		_mode_compress = EYDRLE_MODE_UNDEF;
		_input_file.clear();
		_output_file.clear();
		_cellsize = 8; // one octet each time (by default);
	}

	void EydRle::run(){
		if (_mode_compress == EYDRLE_MODE_COMPRESS){
			this->compress();
		} else {
			this->uncompress();
		}
	}

}

